package com.ruoyi.export.service;

import com.ruoyi.export.domain.ExportItem;
import com.ruoyi.export.domain.vo.ExportItemVo;
import com.ruoyi.export.domain.bo.ExportItemBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 展示品Service接口
 *
 * @author ruoyi
 * @date 2025-07-17
 */
public interface IExportItemService {

    /**
     * 查询展示品
     */
    ExportItemVo queryById(Long itemId);

    /**
     * 查询展示品列表
     */
    TableDataInfo<ExportItemVo> queryPageList(ExportItemBo bo, PageQuery pageQuery);

    /**
     * 查询展示品列表
     */
    List<ExportItemVo> queryList(ExportItemBo bo);

    /**
     * 新增展示品
     */
    Boolean insertByBo(ExportItemBo bo);

    /**
     * 修改展示品
     */
    Boolean updateByBo(ExportItemBo bo);

    /**
     * 校验并批量删除展示品信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
